### Method

# Gsk Transform scale_3d

#### Declaration [src]

    GskTransform*
    gsk_transform_scale_3d (
      GskTransform* next,
      float factor_x,
      float factor_y,
      float factor_z
    )

#### Description [src]

Scales `next` by the given factors.

This function consumes `next`. Use `gsk_transform_ref()` first if you want to keep it around.

#### Parameters

`next`

  Type: `GskTransform`

  The next transform.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`factor_x`

  Type: `float`

  Scaling factor on the X axis.

`factor_y`

  Type: `float`

  Scaling factor on the Y axis.

`factor_z`

  Type: `float`

  Scaling factor on the Z axis.

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.